Bug 642815 - repotrack incorrectly generates a url if baseurl is missing a trailing /
repotrack incorrectly generates a url if baseurl is missing a trailing /
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
14
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-13 17:07 EDT by Noah Campbell
Modified: 2014-01-21 18:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:36:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noah Campbell 2010-10-13 17:07:20 EDT
Description of problem:

Using repotrack -u <package> against a repo configured with a baseurl that's missing a trailing slash results in an invalid url.

Version-Release number of selected component (if applicable):

Name        : yum-utils                    Relocations: (not relocatable)
Version     : 1.1.16                            Vendor: CentOS
Release     : 14.el5.centos.1               Build Date: Sun 17 Jan 2010 03:05:59 PM UTC


How reproducible:

Everytime


Steps to Reproduce:
1. Create a repo definition in /etc/yum.repo.d with a baseurl that does not have a trailing /
2. Run repotrack -u <some package in that repo> and note the url is missing the last element in that url.
3. Add a trailing / to the above created repo's baseurl
4. Rerun the same repotrack -u command and note the new url.
  
Actual results:

http://server/path/5/package.noarch.rpm

Expected results:

http://server/path/5/x86_64/package.noarch.rpm

Additional info:

I didn't test to see if this was impacted when not using the $basearch variable in the repo definition.
Comment 1 Fedora End Of Life 2012-08-16 16:36:42 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.